Subject: Ticket Assigned - Delivery
From: Babyshop <[email-masked]>
To: [email-masked]
Date: Fri, 18 Jun 2021 05:14:56 +0000

Hi Samer Salmeh,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery Hi, 

When I made the order  online I screen shot the the last page saying your order will be delivered on the 16th of June Wednesday and when I called today to follow up the the agents are saying to me that that my order will be delivered after 5 working days. Its a bit confusing as it state today. 
I put the order under my friends name as its a gift from me to her daughter.  They can't even give me the tracking number of where to follow up for the item. 

A little bit disappointed.

Regards,

Rhoan https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2723468